# Load libraries
from machine import Pin
from time import sleep
import ADS1115

# Initialization of the ADC
ADS1115.init(0x48, 1, 4, False)

# Endless loop for reading the ADC | Conversion from analog value to voltage
while True:
    Analog = ADS1115.read(0)
    Volt = ADS1115.raw_to_v(ADS1115.read(0))

    # Serial output of the calculated voltage and the measured resistance
    print("The analog value is: " + str(Analog) + " at " + str(Volt) + " V")
    print('---------------')

    sleep(1)